# Uses of Enum Class
java.time.chrono.HijrahEra

Packages that use HijrahEra
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.

## Uses of HijrahEra in java.time.chrono

Subclasses with type arguments of type HijrahEra in java.time.chrono
Modifier and Type
Class
Description
`enum`
`HijrahEra`
An era in the Hijrah calendar system.
Methods in java.time.chrono that return HijrahEra
Modifier and Type
Method
Description
`HijrahEra`
HijrahChronology.`eraOf(int eraValue)`
Creates the HijrahEra object from the numeric value.
`HijrahEra`
HijrahDate.`getEra()`
Gets the era applicable at this date.
`static HijrahEra`
HijrahEra.`of(int hijrahEra)`
Obtains an instance of `HijrahEra` from an `int` value.
`static HijrahEra`
HijrahEra.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HijrahEra[]`
HijrahEra.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.